﻿''' <summary>
''' Ein Basisobjekt um mit dem Interface bequem arbeiten zu können. 
''' </summary>
''' <remarks>Hier wäre noch eine ausführbare methode vorgesehen. Ausserdem eine Prüfung, 
''' ob eine Bedingung besteht ob ein Objekt vorher abgelaufen werden musste.
''' </remarks>
<Serializable()> _
Public MustInherit Class clsBaseObject
    Implements IObject

    Public Property Index As Integer Implements IObject.Index
    Public Property NeededNextObject As Type Implements IObject.NeededNextObject
    'Public Property NeededPreviousObject As Type Implements IObject.NeededPreviousObject
    Public Property Title As String Implements IObject.Title
    Public Property Location As Point Implements IObject.Location

    Public Overridable Sub Run() Implements IObject.Run
        'nothing to do here
    End Sub

    Public MustOverride Function GetTitle() As String

    Public Sub New()
        Me.Title = GetTitle()
    End Sub


End Class
